<p align="center">
  <img src="https://www.multisafepay.com/img/multisafepaylogo.svg" width="400px" position="center">
</p>

## About MultiSafepay
MultiSafepay is a collecting payment service provider which means we take care of the agreements, technical details and payment collection required for each payment method. You can start selling online today and manage all your transactions from one place.
## Supported Payment Methods
The supported Payment Methods & Gift cards for this plugin can be found over here: [Payment Methods & Gift cards](https://docs.multisafepay.com/plugins/drupal8/faq/#available-payment-methods-in-drupal8)

## Requirements
- To use the plugin you need a MultiSafepay account. You can create a test account on https://testmerchant.multisafepay.com/signup
- Drupal 8.8.x or 9.x
- Drupal Commerce 2.x
- Drupal Commerce recurring
- Drupal Commerce MultiSafepay plugin


# Commerce MultisafePay Recurring !

## INTRODUCTION

"Commerce MultisafePay Recurring" sub module of multisafepay to integrate the MSP recurring payments https://docs.multisafepay.com/api/#recurring-payment.


## INSTALLATION

Install as you would normally install a Drupal module.

Please download and install through Drupal admin area
or use `composer require drupal/multisafepayrecurring,
then enable the "MspRecurring" D9 module.

Ensure to give `Cancel own subscriptions` & `View own subscriptions` permission to authenticated user.

## PATCH
Execute this patch: https://www.drupal.org/files/issues/2021-05-18/commerce_recurring-offsitepayment-3189954-3.patch
Patch error: If patch not work then manually apply the patch changes

## Support
You can create issues on our repository. If you need any additional help or support, please contact <a href="mailto:integration@multisafepay.com">integration@multisafepay.com</a>

## A gift for your contribution
We look forward to receiving your input. Have you seen an opportunity to change things for better? We would like to invite you to create a pull request on GitHub.
Are you missing something and would like us to fix it? Suggest an improvement by sending us an [email](mailto:integration@multisafepay.com) or by creating an issue.

What will you get in return? A brand new designed MultiSafepay t-shirt which will make you part of the team!

## Want to be part of the team?
Are you a developer interested in working at MultiSafepay? [View](https://www.multisafepay.com/careers/#jobopenings) our job openings and feel free to get in touch with us.
